/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
using Aliyun.Acs.Core.Transform;
using Aliyun.Acs.Dts.Model.V20160801;
using System;
using System.Collections.Generic;

namespace Aliyun.Acs.Dts.Transform.V20160801
{
    public class ModifySynchronizationObjectResponseUnmarshaller
    {
        public static ModifySynchronizationObjectResponse Unmarshall(UnmarshallerContext context)
        {
			ModifySynchronizationObjectResponse modifySynchronizationObjectResponse = new ModifySynchronizationObjectResponse();

			modifySynchronizationObjectResponse.HttpResponse = context.HttpResponse;
			modifySynchronizationObjectResponse.RequestId = context.StringValue("ModifySynchronizationObject.RequestId");
			modifySynchronizationObjectResponse.Success = context.StringValue("ModifySynchronizationObject.Success");
			modifySynchronizationObjectResponse.ErrCode = context.StringValue("ModifySynchronizationObject.ErrCode");
			modifySynchronizationObjectResponse.ErrMessage = context.StringValue("ModifySynchronizationObject.ErrMessage");
			modifySynchronizationObjectResponse.TaskId = context.StringValue("ModifySynchronizationObject.TaskId");
        
			return modifySynchronizationObjectResponse;
        }
    }
}